<div class="blue-circle"></div>

<ion-header no-border>
  <ion-navbar transparent>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>

    <ion-title>Detailed cores</ion-title>
  </ion-navbar>
</ion-header>

<ion-content class="list-container">

  <ion-refresher (ionRefresh)="doRefresh($event)">
    <ion-refresher-content
      pullingIcon="arrow-down"
      pullingText="Pull to refresh"
      refreshingSpinner="crescent"
      refreshingText="Refreshing...">
    </ion-refresher-content>
  </ion-refresher>

  <ion-card class="theme-list-item" *ngFor="let detailsCore of detailsCores" (tap)="viewDetails(detailsCore)">
    <ion-card-content>
      <ion-card-title class="theme-title">
        {{ detailsCore.core_serial }}

        <div class="theme-subtitle">
          {{ detailsCore.status }}
        </div>
      </ion-card-title>
    </ion-card-content>

    <ion-grid class="border-top-grey">
      <ion-row>
        <ion-col text-center>
          <div class="font-bold">RTLS Landings</div>
          <div>{{ detailsCore.rtls_landings }}</div>
        </ion-col>
        <ion-col text-center>
          <div class="font-bold">ASDS Landing</div>
          <div>{{ detailsCore.asds_landings }}</div>
        </ion-col>
        <ion-col text-center>
          <div class="font-bold">Original launch</div>
          <div>{{ detailsCore.original_launch | date:'dd/MM/yyyy'}}</div>
        </ion-col>
      </ion-row>
    </ion-grid>

  </ion-card>

</ion-content>
